/* secure 8BitAmEthernet protocol client
 * version 0.1 date 2005-03-07
 * Copyright 2005 Stefan Schuermans <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 * a project of CCC-AC - http://www.cccac.de/
 */

#ifndef INC_s8p
#define INC_s8p

#include <netinet/in.h>

//execute S8P command
//returns 0 on success, -1 on error
int S8pCommand( in_addr_t Ip, in_port_t Port, unsigned char Key[16], unsigned char Command[8], unsigned char Status[8] );

//execute S8P get output
//returns 0 on success, -1 on error
int S8pGetOutput( in_addr_t Ip, in_port_t Port, unsigned char Key[16], unsigned char * pState );

//execute S8P change output
//Action: 1=turn on, 0=turn off, -1=toggle
//Output: 1..8
//returns 0 on success, -1 on error
int S8pChangeOutput( in_addr_t Ip, in_port_t Port, unsigned char Key[16], signed char Action, unsigned char Output, unsigned char * pState );

#endif //#ifdef INC_S8p

